Reports
These API endpoints let a user file a report against any votable entity
GET
/
reports/statsGet Report Stats
Returns anonymized counts of reports grouped by reason and status
Success
PUT
/
users/{uid}/{target_type}/{target_id}/reportsCreate Report
Files a report against any votable entity. Returns 204 on success
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Request Body
application/jsonRequireddescriptionstring
reasonstring
Value in:
"license_violation" | "tos_violation" | "spam" | "other"Path Parameters
uidRequiredstring
The reporting user's ID
target_typeRequiredstring
The target type of the entity being reported
target_idRequiredstring
The ID of the entity being reported
Success